Subject: Re: bug#46472: Make lisp/mail/uce.el obsolete

From: Stefan Kangas <[email-masked]>
Date: Sat, 6 Mar 2021 11:14:13 -0600

Eli Zaretskii <[email-masked]> writes:

> I don't see how our views on what is and isn't appropriate response to
> spam should be mandatory for the few users who may disagree.

Moving this to obsolete/ does not make it mandatory for anyone to do
anything.  It is not within our power to do that; one of the freedoms
granted by the GPL is to run the program for any purpose.

> This is free software, users are free to do whatever they want with
> it.

I can't see what this has to do with the principles of Free Software.

AFAIK, nowhere in the GPL, the GNU Manifesto etc. does it say that it is
contrary to the spirit of free software to make useless features
obsolete.

> Is there any other, more modern method we support to respond to spam?

Yes, I listed some of them in my previous reply.  Not that I understand
why this is pertinent, as we have already established that doing that is
useless and/or harmful.